package ui

import (
	"varia.zone/hui/internal/bldr"
	"varia.zone/hui/internal/conf"
	"varia.zone/hui/internal/model"
)

// ShowAboutDialog handles the show about dialog signal.
func ShowAboutDialog(m *model.Model) error {
	dialog, err := bldr.GetAboutDialog(m.Builder, conf.AboutDialog)
	if err != nil {
		return err
	}

	dialog.Show()

	return nil
}

// HideAboutDialog handles the hide ainbout dialog signal.
func HideAboutDialog(m *model.Model) error {
	dialog, err := bldr.GetAboutDialog(m.Builder, conf.AboutDialog)
	if err != nil {
		return err
	}

	dialog.Hide()

	return nil
}
